// (c) Kevin Banks
// http://www.embedded.com/design/configurable-systems/4024443/The-Goertzel-Algorithm
// TI-89 frontend (c) Ralph Schenn

#include <tiams.h>

#ifndef _GOERTZEL_H_
#define _GOERTZEL_H_

/* goertzel filter */
void goertzel(void);

/* goertzel filter
input signal 
number of samples
sampling frequency (Hz)
searched frequency (Hz) 
http://www.embedded.com/design/configurable-systems/4024443/The-Goertzel-Algorithm */
Complex Goertzel(double x[], 
	unsigned short n, 
	double fs, 
	double f);

#endif 
