/* (c) Texas Instruments 
these are examples from "TI-89 / TI-92 Plus Developer Guide" */

#ifndef _POLY_H_
#define _POLY_H_

/* If i indexes x^-(3/2) + ln(y), then is_polynomial_in_var_or_kern returns
TRUE if vi indexes x or ln(y) or z, but returns FALSE if vi indexes y. (page 297) */
Boolean is_polynomial_in_var_or_kern (EStackIndex i, 
	EStackIndex vi);

/* Pushes a tail of its coefficients (including zero-coefficients),
with the constant coefficient deepest. */
void push_coef_list(EStackIndex i, 
	EStackIndex ki);

#endif
