/*
		Memory allocation
		
    Copyright (C) 2015  Ralph Schenn

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <tiams.h>
#include "Complex.h"
#include "Real.h"

/* resize handle an thow error if not enough memory */
HANDLE HeapReallocThrow(HANDLE handle, unsigned long newSize)  
{
	HANDLE h = HeapRealloc (handle, newSize);
	         
	if (h == H_NULL) {
		ER_throwVar (FIRST_MEMORY_ERROR);
	}         
	         
	return h;
}
